package net.sabi.pester;

import java.util.Comparator;
import danger.app.DataStore;
import danger.util.StdActiveList;

public class Alarms extends StdActiveList {
    // max # records in a datastore
    private static final int MAX_ALARM_COUNT = 50;

    private static Alarms sAlarmList = null;
    private static DataStore sDataStore;

    private Alarms() {
	sDataStore = DataStore.createDataStore("alarms", true /* auto sync */);
    }

    public static Alarms getList() {
	if (sAlarmList == null)
	    sAlarmList = new Alarms();
	return sAlarmList;
    }

    public static void addAlarm(Alarm alarm) {
	sAlarmList.addItem(alarm);
    }
    public static void removeAlarm(Alarm alarm) {
	sAlarmList.removeItem(alarm);
    }

    /*
    private static Alarm sAlarm0 = new Alarm();
    private static Alarm sAlarm1 = new Alarm();
    public int compare(Object arg0, Object arg1) {
	
	return Collator.getInstance().compare(
    }
    */
}
